SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000322: smart throws error on serial console and with xen - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000322Endian FirewallInstallationpublic2007-11-19 17:202008-02-02 07:28
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target Version2.2-beta3Fixed in Version2.2-beta3 
Summary0000322: smart throws error on serial console and with xen
DescriptionWhen upgrading a package using smart an error occurs after the package has been installed. This happens only with serial console and with xen.

Here's the traceback:

Traceback (most recent call last):
  File "/usr/bin/smart", line 194, in ?
    main(sys.argv[1:])
  File "/usr/bin/smart", line 167, in main
    exitcode = iface.run(opts.command, opts.argv)
  File "/usr/lib/python2.4/site-packages/smart/interface.py", line 53, in run
    result = _command.main(self._ctrl, opts)
  File "/usr/lib/python2.4/site-packages/smart/commands/install.py", line 189, in main
    ctrl.commitTransaction(trans, confirm=confirm)
  File "/usr/lib/python2.4/site-packages/smart/control.py", line 505, in commitTransaction
    return self.commitChangeSet(trans.getChangeSet(), caching, confirm)
  File "/usr/lib/python2.4/site-packages/smart/control.py", line 563, in commitChangeSet
    pmclass().commit(pmcs, pkgpaths)
  File "/usr/lib/python2.4/site-packages/smart/backends/rpm/pm.py", line 218, in commit
    probs = ts.run(cb, None)
  File "/usr/lib/python2.4/site-packages/smart/backends/rpm/pm.py", line 309, in __call__
    self.prog.show()
  File "/usr/lib/python2.4/site-packages/smart/progress.py", line 110, in show
    self.expose(topic, percent, *info)
  File "/usr/lib/python2.4/site-packages/smart/interfaces/text/progress.py", line 107, in expose
    out.write(self._topicmaskn % (n, topic))
ValueError: unsupported format character '-' (0x2d) at index 9
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000855)
peter-endian (administrator)
2008-01-25 15:12

sent upstream

- Issue History
Date Modified Username Field Change
2007-11-19 17:20 peter-endian New Issue
2007-11-19 17:21 peter-endian Status new => assigned
2007-11-19 17:21 peter-endian Assigned To => peter-endian
2008-01-09 20:18 peter-endian Target Version => 2.2-beta3
2008-01-25 15:12 peter-endian Status assigned => resolved
2008-01-25 15:12 peter-endian Fixed in Version => 2.2-beta3
2008-01-25 15:12 peter-endian Resolution open => fixed
2008-01-25 15:12 peter-endian Note Added: 0000855
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker